Upstream information

CVE-2014-4343 at MITRE

Description

Double free vulnerability in the init_ctx_reselect function in the SPNEGO initiator in lib/gssapi/spnego/spnego_mech.c in MIT Kerberos 5 (aka krb5) 1.10.x through 1.12.x before 1.12.2 allows remote attackers to cause a denial of service (memory corruption) or possibly execute arbitrary code via network traffic that appears to come from an intended acceptor, but specifies a security mechanism different from the one proposed by the initiator.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.6
Vector AV:N/AC:H/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 770172 [REOPENED], 888697 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • krb5 >= 1.6.3-133.49.60.1
  • krb5-32bit >= 1.6.3-133.49.60.1
  • krb5-client >= 1.6.3-133.49.60.1
Patchnames:
sledsp3-krb5
SUSE Linux Enterprise Desktop 12
  • krb5 >= 1.12.1-6.3
  • krb5-32bit >= 1.12.1-6.3
  • krb5-client >= 1.12.1-6.3
Patchnames:
SUSE Linux Enterprise Desktop 12 GA krb5
SUSE Linux Enterprise Desktop 12 SP1
  • krb5 >= 1.12.1-19.1
  • krb5-32bit >= 1.12.1-19.1
  • krb5-client >= 1.12.1-19.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA krb5
SUSE Linux Enterprise Desktop 12 SP2
  • krb5 >= 1.12.5-39.1
  • krb5-32bit >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA krb5
SUSE Linux Enterprise Desktop 12 SP3
  • krb5 >= 1.12.5-39.1
  • krb5-32bit >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA krb5
SUSE Linux Enterprise Server 11 SP3
  • krb5 >= 1.6.3-133.49.60.1
  • krb5-32bit >= 1.6.3-133.49.60.1
  • krb5-apps-clients >= 1.6.3-133.49.60.1
  • krb5-apps-servers >= 1.6.3-133.49.60.1
  • krb5-client >= 1.6.3-133.49.60.1
  • krb5-doc >= 1.6.3-133.49.60.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.60.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.60.1
  • krb5-server >= 1.6.3-133.49.60.1
  • krb5-x86 >= 1.6.3-133.49.62.1
Patchnames:
slessp3-krb5
SUSE Linux Enterprise Server 12
  • krb5 >= 1.12.1-6.3
  • krb5-32bit >= 1.12.1-6.3
  • krb5-client >= 1.12.1-6.3
  • krb5-doc >= 1.12.1-6.3
  • krb5-plugin-kdb-ldap >= 1.12.1-6.3
  • krb5-plugin-preauth-otp >= 1.12.1-6.3
  • krb5-plugin-preauth-pkinit >= 1.12.1-6.3
  • krb5-server >= 1.12.1-6.3
Patchnames:
SUSE Linux Enterprise Server 12 GA krb5
SUSE Linux Enterprise Server 12 SP1
  • krb5 >= 1.12.1-19.1
  • krb5-32bit >= 1.12.1-19.1
  • krb5-client >= 1.12.1-19.1
  • krb5-doc >= 1.12.1-19.1
  • krb5-plugin-kdb-ldap >= 1.12.1-19.1
  • krb5-plugin-preauth-otp >= 1.12.1-19.1
  • krb5-plugin-preauth-pkinit >= 1.12.1-19.1
  • krb5-server >= 1.12.1-19.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA krb5
SUSE Linux Enterprise Server 12 SP2
  • krb5 >= 1.12.5-39.1
  • krb5-32bit >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
  • krb5-doc >= 1.12.5-39.1
  • krb5-plugin-kdb-ldap >= 1.12.5-39.1
  • krb5-plugin-preauth-otp >= 1.12.5-39.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-39.1
  • krb5-server >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA krb5
SUSE Linux Enterprise Server 12 SP3
  • krb5 >= 1.12.5-39.1
  • krb5-32bit >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
  • krb5-doc >= 1.12.5-39.1
  • krb5-plugin-kdb-ldap >= 1.12.5-39.1
  • krb5-plugin-preauth-otp >= 1.12.5-39.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-39.1
  • krb5-server >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA krb5
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • krb5 >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
  • krb5-doc >= 1.12.5-39.1
  • krb5-plugin-kdb-ldap >= 1.12.5-39.1
  • krb5-plugin-preauth-otp >= 1.12.5-39.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-39.1
  • krb5-server >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA krb5
SUSE Linux Enterprise Server for VMWare 11 SP3
  • krb5 >= 1.6.3-133.49.60.1
  • krb5-32bit >= 1.6.3-133.49.60.1
  • krb5-apps-clients >= 1.6.3-133.49.60.1
  • krb5-apps-servers >= 1.6.3-133.49.60.1
  • krb5-client >= 1.6.3-133.49.60.1
  • krb5-doc >= 1.6.3-133.49.60.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.60.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.60.1
  • krb5-server >= 1.6.3-133.49.60.1
  • krb5-x86 >= 1.6.3-133.49.62.1
Patchnames:
slessp3-krb5
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.60.1
  • krb5-devel-32bit >= 1.6.3-133.49.60.1
  • krb5-server >= 1.6.3-133.49.60.1
Patchnames:
sdksp3-krb5
SUSE Linux Enterprise Software Development Kit 12
  • krb5-devel >= 1.12.1-6.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA krb5-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • krb5-devel >= 1.12.1-19.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA krb5-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • krb5-devel >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA krb5-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • krb5-devel >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA krb5-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.60.1
  • krb5-server >= 1.6.3-133.49.60.1
Builds
SAT Patch Nr: 9564
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.60.1
Builds
SAT Patch Nr: 9564
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.60.1
  • krb5-devel-32bit >= 1.6.3-133.49.60.1
Builds
SAT Patch Nr: 9564
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.60.1
  • krb5-devel-32bit >= 1.6.3-133.49.60.1
  • krb5-server >= 1.6.3-133.49.60.1
Builds
SAT Patch Nr: 9564
SUSE Linux Enterprise Desktop 11 SP3
  • krb5 >= 1.6.3-133.49.60.1
  • krb5-client >= 1.6.3-133.49.60.1
Builds
SAT Patch Nr: 9564
SUSE Linux Enterprise Desktop 11 SP3
  • krb5 >= 1.6.3-133.49.60.1
  • krb5-32bit >= 1.6.3-133.49.60.1
  • krb5-client >= 1.6.3-133.49.60.1
Builds
SAT Patch Nr: 9564
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • krb5 >= 1.6.3-133.49.60.1
  • krb5-apps-clients >= 1.6.3-133.49.60.1
  • krb5-apps-servers >= 1.6.3-133.49.60.1
  • krb5-client >= 1.6.3-133.49.60.1
  • krb5-doc >= 1.6.3-133.49.60.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.60.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.60.1
  • krb5-server >= 1.6.3-133.49.60.1
Builds
SAT Patch Nr: 9564
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • krb5 >= 1.6.3-133.49.60.1
  • krb5-32bit >= 1.6.3-133.49.60.1
  • krb5-apps-clients >= 1.6.3-133.49.60.1
  • krb5-apps-servers >= 1.6.3-133.49.60.1
  • krb5-client >= 1.6.3-133.49.60.1
  • krb5-doc >= 1.6.3-133.49.60.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.60.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.60.1
  • krb5-server >= 1.6.3-133.49.60.1
Builds
SAT Patch Nr: 9564
SUSE Linux Enterprise Server 11 SP3
  • krb5 >= 1.6.3-133.49.60.1
  • krb5-apps-clients >= 1.6.3-133.49.60.1
  • krb5-apps-servers >= 1.6.3-133.49.60.1
  • krb5-client >= 1.6.3-133.49.60.1
  • krb5-doc >= 1.6.3-133.49.60.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.60.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.60.1
  • krb5-server >= 1.6.3-133.49.60.1
  • krb5-x86 >= 1.6.3-133.49.60.1
Builds
SAT Patch Nr: 9564
openSUSE 13.1
  • krb5 >= 1.11.3-3.8.1
  • krb5-32bit >= 1.11.3-3.8.1
  • krb5-client >= 1.11.3-3.8.1
  • krb5-client-debuginfo >= 1.11.3-3.8.1
  • krb5-debuginfo >= 1.11.3-3.8.1
  • krb5-debuginfo-32bit >= 1.11.3-3.8.1
  • krb5-debugsource >= 1.11.3-3.8.1
  • krb5-devel >= 1.11.3-3.8.1
  • krb5-devel-32bit >= 1.11.3-3.8.1
  • krb5-doc >= 1.11.3-3.8.1
  • krb5-mini >= 1.11.3-3.8.1
  • krb5-mini-debuginfo >= 1.11.3-3.8.1
  • krb5-mini-debugsource >= 1.11.3-3.8.1
  • krb5-mini-devel >= 1.11.3-3.8.1
  • krb5-plugin-kdb-ldap >= 1.11.3-3.8.1
  • krb5-plugin-kdb-ldap-debuginfo >= 1.11.3-3.8.1
  • krb5-plugin-preauth-pkinit >= 1.11.3-3.8.1
  • krb5-plugin-preauth-pkinit-debuginfo >= 1.11.3-3.8.1
  • krb5-server >= 1.11.3-3.8.1
  • krb5-server-debuginfo >= 1.11.3-3.8.1
Patchnames:
openSUSE-2014-486
openSUSE Leap 42.1
  • krb5 >= 1.12.1-19.9
  • krb5-32bit >= 1.12.1-19.9
  • krb5-client >= 1.12.1-19.9
  • krb5-devel >= 1.12.1-19.9
Patchnames:
openSUSE Leap 42.1 GA krb5
openSUSE Leap 42.2
  • krb5 >= 1.12.5-5.13
  • krb5-32bit >= 1.12.5-5.13
  • krb5-client >= 1.12.5-5.13
  • krb5-devel >= 1.12.5-5.13
Patchnames:
openSUSE Leap 42.2 GA krb5
openSUSE Leap 42.3
  • krb5 >= 1.12.5-7.17
  • krb5-32bit >= 1.12.5-7.17
  • krb5-client >= 1.12.5-7.17
  • krb5-devel >= 1.12.5-7.17
Patchnames:
openSUSE Leap 42.3 GA krb5
openSUSE Tumbleweed
  • krb5 >= 1.15-1.1
  • krb5-32bit >= 1.15-1.1
  • krb5-client >= 1.15-1.1
  • krb5-devel >= 1.15-1.1
  • krb5-devel-32bit >= 1.15-1.1
  • krb5-doc >= 1.15-1.1
  • krb5-mini >= 1.15-1.1
  • krb5-mini-devel >= 1.15-1.1
  • krb5-plugin-kdb-ldap >= 1.15-1.1
  • krb5-plugin-preauth-otp >= 1.15-1.1
  • krb5-plugin-preauth-pkinit >= 1.15-1.1
  • krb5-server >= 1.15-1.1
Patchnames:
openSUSE Tumbleweed GA krb5


Status of this issue by product and package

Product(s) Source package State
OpenStack Cloud Magnum Orchestration 7.0 krb5 Not affected
SUSE Linux Enterprise Desktop 10 SP3 krb5 Released
SUSE Linux Enterprise Desktop 10 SP4 krb5 Released
SUSE Linux Enterprise Desktop 11 SP1 krb5 Released
SUSE Linux Enterprise Desktop 11 SP3 krb5 Released
SUSE Linux Enterprise Desktop 12 SP1 krb5 Unsupported
SUSE Linux Enterprise Desktop 12 SP2 krb5 Not affected
SUSE Linux Enterprise SDK 11 SP1 krb5 Released
SUSE Linux Enterprise SDK 11 SP3 krb5 Released
SUSE Linux Enterprise SDK 11 SP4 krb5 Not affected
SUSE Linux Enterprise SDK 12 SP1 krb5 Unsupported
SUSE Linux Enterprise SDK 12 SP2 krb5 Not affected
SUSE Linux Enterprise Server 10 SP3 krb5 Released
SUSE Linux Enterprise Server 10 SP4 krb5 Released
SUSE Linux Enterprise Server 10 SP4 LTSS krb5 Released
SUSE Linux Enterprise Server 11 SP1 krb5 Released
SUSE Linux Enterprise Server 11 SP1 LTSS krb5 Released
SUSE Linux Enterprise Server 11 SP3 krb5 Released
SUSE Linux Enterprise Server 11 SP3 LTSS krb5 Not affected
SUSE Linux Enterprise Server 11 SP4 krb5 Not affected
SUSE Linux Enterprise Server 12 GA krb5 Not affected
SUSE Linux Enterprise Server 12 SP1 krb5 Unsupported
SUSE Linux Enterprise Server 12 SP2 krb5 Not affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 krb5 Released